Bug 6031 - koha-rebuild-zebra doesn't allow XML and verbose indexing
Summary: koha-rebuild-zebra doesn't allow XML and verbose indexing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-31 22:19 UTC by Robin Sheat
Modified: 2012-10-25 23:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.47 KB, patch)
2011-03-31 22:34 UTC, Robin Sheat
Details | Diff | Splinter Review
Follow up patch (666 bytes, patch)
2011-05-02 00:46 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-03-31 22:19:58 UTC
XML is often a bit more robust than regular usmarc processing, so the script should have the option to use that for biblios.

Also, it should be able to make things verbose.
Comment 1 Robin Sheat 2011-03-31 22:34:04 UTC
Created attachment 3597 [details] [review]
Proposed patch

Patch from Srdjan. This adds '-u' to force old-style USMARC processing, and passes other options (e.g. -v) directly to rebuild_zebra.pl
Comment 2 Jared Camins-Esakov 2011-04-09 18:48:54 UTC
From my point of view, this is a bug. It makes packages unusable in situations where -x is required (for example, with records with inaccurate leaders, or records with hundreds or thousands of items).
Comment 3 Chris Cormack 2011-04-10 08:57:27 UTC
Pushed please test
Comment 4 Chris Cormack 2011-05-02 00:35:32 UTC
Have tested, there is an issue with a typo in the script, follow up patch on its way
Comment 5 Chris Cormack 2011-05-02 00:45:21 UTC
Follow up pushed, please test
Comment 6 Chris Cormack 2011-05-02 00:46:02 UTC
Created attachment 4023 [details] [review]
Follow up patch
Comment 7 Jared Camins-Esakov 2011-10-15 11:45:42 UTC
This seems to be working now. Closing.